using System;
using System.Text;

internal sealed class Delegate167 : MulticastDelegate
{
	public extern StringBuilder Invoke(object object_0, string string_0, object object_1);

	public static StringBuilder smethod_0(object object_0, string string_0, object object_1, Delegate167 delegate167_1)
	{
		return delegate167_1(object_0, string_0, object_1);
	}

	public extern Delegate167(object object_0, IntPtr intptr_0);

	static Delegate167()
	{
		Class10.smethod_13(typeof(Delegate167).TypeHandle);
	}

	internal static Delegate167 delegate167_0;
}
